## boxbackup 0.11.1~r2837

=== debian/changelog ===
boxbackup (0.11.1~r2837-4) unstable; urgency=medium

  * QA upload.
  * Check for ucf and deluser availability before calling them during postrm
    purge.  (Closes: #688373, #667535)
  * Add Italian (it) debconf translations by Beatrice Torracca.
    (Closes: #658724)
  * Add Dutch (nl) debconf translations by Frans Spiesschaert.
    (Closes: #766532)
  * Build with dh_autotools-dev_*.
  * Switch to source format 3.0 (quilt).

 -- Andreas Beckmann <anbe@debian.org>  Sun, 22 Jan 2017 03:29:52 +0100

boxbackup (0.11.1~r2837-3) unstable; urgency=medium

  * QA upload.
  * Build with openssl 1.0. Thanks to Adrian Bunk. (Closes: #828253)
  * Bump Standards-Version to 3.9.8.

 -- Chris Lamb <lamby@debian.org>  Sat, 12 Nov 2016 14:15:06 +0000

boxbackup (0.11.1~r2837-2) unstable; urgency=medium

  * Ensure that LWP/UserAgent.pm is available (Closes: #816517)
  * Orphaning package, cf. #817078

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 07 Mar 2016 20:19:45 -0500

boxbackup (0.11.1~r2837-1) unstable; urgency=low

  * New upstream release.
    -  Bug fix: "Handling of "get" command broken due to bug in
       temp file name creation.", thanks to Matto Marjanovic
       (Closes: #606559).
  * Bug fix: "[INTL:pt_BR] Brazilian Portuguese debconf templates
    translation", thanks to Adriano Rafael Gomes (Closes: #610416).
  * Bug fix: "[INTL:da] Fix Danish translation of the debconf templates
    BoxBackup", thanks to Joe Dalton (Closes: #619303).
  * Bug fix: "Documentation errors regarding bbstored-certs", thanks to
    Clint Adams (Closes: #601882).
  * Build in verbose mode.
  * Bump standards version to 3.9.2, no changes needed.
  * Normalize fields in debian/control with wrap-and-sort(1).
  * implement build-arch and build-indep targets

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 28 Oct 2011 01:53:48 +0200

boxbackup (0.11~rc8~r2714-1) unstable; urgency=low

  * New upstream release.
  * New Upstream fixes Bug: "boxbackup-client complains about
    /home/*/.gvfs", thanks for reporting to Sune Mølgaard.
    Closes: #593401, LP: #496334
  * Enhancement: "Please use newer bdb", thanks to Clint Adams 
    Closes: #548475
  * bin/bbstored/bbstored-certs: reduce root CA expiration date to avoid
    Y2k38 overflow. Thanks to Clint Adams <schizo@debian.org> for
    reporting it. Closes: #601506, LP: #641112
  * By default, do not manage boxbackup-client configuration via debconf
  * Allow dpkg-reconfigure to work even when the debconf level is set to
    'high'.
  * Various debconf severity fixes in boxbackup-*.conf

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 09 Nov 2010 18:14:58 +0100

boxbackup (0.11~rc3~r2502-4) unstable; urgency=low

  * use more globs in install paths to avoid failures on kFreeBSD
  * Bump standards version, no changes needed

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 13 Oct 2010 20:51:39 +0200

boxbackup (0.11~rc3~r2502-3) unstable; urgency=low

  * Update Vitnamese debconf translations. Closes: #598581

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 12 Oct 2010 10:50:37 +0200

boxbackup (0.11~rc3~r2502-2.1ubuntu1) maverick; urgency=low

  * fix install paths for armel (LP: #616461) 

 -- David Sugar <david.sugar@canonical.com>  Mon, 16 Aug 2010 23:49:22 +0200

boxbackup (0.11~rc3~r2502-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * No longer hardcode path to tune2fs in config script
  * Fix pending l10n issues. Debconf translations:
    - Spanish (Omar Campagne).  Closes: #537589
    - Japanese (Hideki Yamane (Debian-JP)).  Closes: #558074
    - Danish (Joe Hansen).  Closes: #582174

 -- Christian Perrier <bubulle@debian.org>  Mon, 24 May 2010 09:33:23 +0200

boxbackup (0.11~rc3~r2502-2) unstable; urgency=low

  * Bug fix: "tries to contact a server build-time", thanks to
    Riku Voipio for reporting. Fix based on a patch contributed
    by peter green, thanks as well! (Closes: #525277).
  * Bug fix: "missing #include", thanks to Martin Michlmayr 
    (Closes: #526152, LP: #371809)
  
 -- Reinhard Tartler <siretart@tauware.de>  Tue, 05 May 2009 07:42:40 +0200

boxbackup (0.11~rc3~r2502-1) unstable; urgency=low

  * New upstream release, built from svn revision 2502.
    - silently ignores sockets and named pipes (Closes: #479145)
    - syslog facility is now configurable (Closes: #521283)

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 02 Apr 2009 13:58:17 +0200

boxbackup (0.11~rc2+r2072-1) unstable; urgency=low

  * New upstream release. (Closes: #503942)
  * no longer use the upstream tarballs, but create them with the script
    debian/get-orig-source.sh to create the orig.tar.gz. See README.Debian
    for a rationale of this step.
  * Therefore, run autoconf on the buildds.
  * always use config.sub/config.guess from the autotools-dev package
  * Fake a "VERSION.txt" instead of letting the build system try to figure
    out the svn version by itself (which would fail)
  * no longer include patches to the upstream source inline. This doesn't
    work out too well with bzr. Port all patches to quilt instead.
  * factor out distribution independent cleaning rules to a new shell script
    called debian/clean.sh.
  * make debian/NEWS actually parsable by dpkg-parsechangelog. This should
    make apt-parsechangelog work.
  * Update debian specific documentation to new URL: http://boxbackup.org
  * Don't install the files DOCUMENTATION.txt and CONTACT.txt. Both contain
    just (outdated) contact addresses and URLs. (Closes: #503659)
  * add translation for swedish debconf messages. Translation provided by
    Martin Bagge <brother@bsnet.se>. (Closes: #513776)
  * adjust configure.ac to only AC_SUBST single variables instead of 3 in
    a row. Fixes FTBFS on sid, found at http://bugs.gentoo.org/205558

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 31 Mar 2009 15:58:23 +0200

boxbackup (0.11~rc2-6) unstable; urgency=low

  * Fix shell scripting in the debconf interaction code of the package's

