=== debian/control ===
Source: boxbackup
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 autoconf,
 automake,
 autotools-dev,
 debhelper (>> 7.0.0),
 docbook-utils,
 docbook-xml,
 docbook-xsl,
 libdb-dev (>= 4.7),
 libedit-dev,
 libssl1.0-dev,
 libtest-lwp-useragent-perl,
 xsltproc,
 zlib1g-dev
Standards-Version: 3.9.8
Homepage: http://boxbackup.org
Vcs-Git: git://anonscm.debian.org/collab-maint/boxbackup.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/boxbackup.git

Package: boxbackup-server
Architecture: any
Depends:
 adduser,
 debconf | debconf-2.0,
 gawk,
 openssl,
 perl,
 ucf,
 ${misc:Depends},
 ${shlibs:Depends}
Description: server for the BoxBackup remote backup system
 BoxBackup is an automatic on-line backup system.
 The server waits for connections from remote clients,
 authenticates them via X.509 certificates and stores the
 encrypted data on hard drives with optional RAID techniques.
 It also supports versions historization and per-user quotas.

Package: boxbackup-client
Architecture: any
Depends:
 debconf | debconf-2.0,
 openssl,
 perl,
 ucf,
 ${misc:Depends},
 ${shlibs:Depends}
Description: client for the BoxBackup remote backup system
 BoxBackup is an automatic on-line backup system.
 The client watches for changes on the local file system,
 connects to a BoxBackup server and sends the changes via a
 secure channel. All data is encrypted before being sent to
 the server. A command-line tool is provided for restoration
 of backups including deleted files and old versions.
