=== debian/watch ===
version=3
# release candidates are not on sf
# http://sf.net/boxbackup/ boxbackup-(.*)\.tgz
http://boxbackup.org/svn/box/packages/ boxbackup-(.*)\.tgz
