=== debian/changelog ===
boxbackup (0.13~~git20180313.g16a11e86-1ubuntu1) cosmic; urgency=medium

  * Ignore test suite results, always fails, not run on most arches anyway.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 01 Oct 2018 13:38:42 +0100

boxbackup (0.13~~git20180313.g16a11e86-1) unstable; urgency=medium

  * New upstream pre-release (requested by upstream)
  * Fixes test failures on i386 (closes: #890997)

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 14 Mar 2018 08:19:09 -0400

boxbackup (0.13~~git20180303.g6178fd34-1) unstable; urgency=medium

  * New upstream pre-release (requested by upstream)
  * Compile against libssl 1.1 (again) (Closes: #870775)

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 03 Mar 2018 14:08:09 -0500

boxbackup (0.13~~git20180102.g6d7e9562-2) unstable; urgency=medium

  * Revert to libssl 1.1 on upstream's request. This will be reverted as
    soon as the issues caused by openssl 1.1 are addressed. Until then,
    this Reopens: #870775.

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 28 Feb 2018 08:31:56 -0500

boxbackup (0.13~~git20180102.g6d7e9562-1) unstable; urgency=medium

  [ Andreas Henriksson ]
  * QA upload.
  * debian/boxbackup-server.config: Fix quoting of variables primarily
    fixing the logic that handles when tune2fs is not available.
  * Have boxbackup-server package Recommend e2fsprogs since the
    package configuration (optionally) uses tune2fs in some cases.
    (Closes: #887274)

  [ Reinhard Tartler ]
  * New upstream pre-release (requested by upstream)
  * Migrate to libssl 1.1 (Closes: #870775)

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 20 Feb 2018 21:53:32 -0500

boxbackup (0.12~gitcf52058f-3) unstable; urgency=medium

  * QA upload.
  * Run the testsuite on amd64 and i386 only (Closes: #866372)

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 30 Jun 2017 15:01:19 -0400

boxbackup (0.12~gitcf52058f-2) unstable; urgency=medium

  * Fix FTBFS on signed arch architectures (Closes: #865092)

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 20 Jun 2017 22:23:07 -0400

boxbackup (0.12~gitcf52058f-1) unstable; urgency=medium

  * QA upload.
  * Honor test failures during build (Closes: #744266)
  * New upstream release: 0.12 (Closes: #744911)
    - has openssl 1.1 support (Closes: #851092)
  * Update the notifyadmin.sh script (Closes: #483928)
  * Add systemd unit files.

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 17 Jun 2017 17:54:09 -0400
