=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: boxbackup
 Section: utils
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
  autoconf,
  automake,
- autotools-dev,
- debhelper (>> 7.0.0),
+ debhelper (>> 10),
  docbook-utils,
  docbook-xml,
  docbook-xsl,
  libdb-dev (>= 4.7),
  libedit-dev,
- libssl1.0-dev,
+ libssl-dev,
  libtest-lwp-useragent-perl,
  xsltproc,
  zlib1g-dev
@@ -27,11 +27,13 @@
  adduser,
  debconf | debconf-2.0,
  gawk,
+ lsb-base (>= 3.0-6),
  openssl,
  perl,
  ucf,
  ${misc:Depends},
  ${shlibs:Depends}
+Recommends: e2fsprogs
 Description: server for the BoxBackup remote backup system
  BoxBackup is an automatic on-line backup system.
  The server waits for connections from remote clients,
@@ -43,6 +45,7 @@
 Architecture: any
 Depends:
  debconf | debconf-2.0,
+ lsb-base (>= 3.0-6),
  openssl,
  perl,
  ucf,
