=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 # Uncomment this to turn on verbose mode. 
 #export DH_VERBOSE=1
+
+include /usr/share/dpkg/pkg-info.mk
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
@@ -20,8 +22,7 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-	dh_autotools-dev_updateconfig
-	echo "0.11rc8+`cat .svnrevision`" > VERSION.txt
+	echo "$(DEB_VERSION_UPSTREAM_REVISION)" > VERSION.txt
 	echo "boxbackup" >> VERSION.txt
 	sh -x ./bootstrap
 	./configure $(DEB_EXTRA_CONFIG_FLAGS) LDFLAGS="-Wl,--as-needed"
@@ -30,8 +31,12 @@
 build-stamp: configure-stamp
 	dh_testdir
 	$(MAKE) V=1
+# the testsuite is only really maintained on i386 and amd64
+# and fails there too, ignore.
+ifneq (,$(filter $(DEB_HOST_ARCH),i386 amd64))
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 	-./runtest.pl ALL
+endif
 endif
 	touch build-stamp
 
@@ -59,7 +64,6 @@
 	echo "boxbackup" >> VERSION.txt
 	[ ! -f Makefile ] || make clean
 	sh debian/clean.sh
-	dh_autotools-dev_restoreconfig
 	dh_clean config.log config.status 
 
 install: DH_OPTIONS=
