## boxbackup 0.13~~git20190527.g039c4a1

=== debian/changelog ===
boxbackup (0.13~~git20190527.g039c4a1-4ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Ignore test suite results, always fails, not run on most arches anyway.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 17 Feb 2020 16:42:07 +0100

boxbackup (0.13~~git20190527.g039c4a1-4) unstable; urgency=medium

  * QA upload.
  * Really upload to unstable.
  * Verified that builds with tests enabled (Closes: #943517)
  * Bump Standards-version (no changes needed)

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 15 Feb 2020 14:07:15 -0500

boxbackup (0.13~~git20190527.g039c4a1-2) experimental; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 20 Jul 2019 00:50:07 -0400

boxbackup (0.13~~git20190527.g039c4a1-1) experimental; urgency=medium

  * QA upload.
  * Update to new upstream version 0.13~~git20190527.g039c4a1 Requested by
    upstream, now uses 2048bit keys by default. Keys generated with
    earlier versions are considered "weak" and generate a warning for now.
    (Closes: #907135)

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 27 May 2019 18:40:14 -0400

boxbackup (0.13~~git20180819.g2f5b556-1) unstable; urgency=medium

  * New upstream pre-release
  * debian/watch: Track commits on master from github.com

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 10 Mar 2019 14:11:33 -0400

boxbackup (0.13~~git20180313.g16a11e86-2ubuntu1) eoan; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Ignore test suite results, always fails, not run on most arches anyway.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 28 Jun 2019 18:56:37 +0200

boxbackup (0.13~~git20180313.g16a11e86-2) unstable; urgency=medium

  * QA upload.
  * debian/control: Point Vcs headers to salsa
  * Bugfix compile against openssl1.1 (Closes: #907135).

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 07 Jun 2019 05:55:39 -0400
