=== infrastructure/cmake/CMakeLists.txt ===
--- 
+++ 
@@ -71,13 +71,6 @@
 	endif()
 endfunction()
 
-foreach(file_to_configure ${files_to_configure})
-	configure_file("${base_dir}/${file_to_configure}.in" "${base_dir}/${file_to_configure}.out" @ONLY)
-	replace_file_if_different(
-		"${base_dir}/${file_to_configure}"
-		"${base_dir}/${file_to_configure}.out")
-endforeach()
-
 # If BOXBACKUP_VERSION is defined when running CMake (as the AppVeyor config does), use it
 # as-is, since it contains the full version number, branch, and platform (Win32/Win64):
 if(BOXBACKUP_VERSION)
@@ -325,3 +318,10 @@
 				add_dependencies(${module_name} ${dependency})
 				if(dependency MATCHES "^(lib_.*|qdbm)$")
 					# message(STATUS "add link library to '${module_name}': '${dependency}'")
+					target_link_libraries(${module_name} PUBLIC ${dependency})
+				endif()
+
+				# We can't make a binary depend on another binary, so we need to
+				# add the dependency's directory directly to our include path.
+				if(dependency MATCHES "^bin_")
+					get_property(dep_include_dirs
