=== debian/changelog ===
boxbackup (0.13~~git20200326.g8e8b63c-1ubuntu2) jammy; urgency=medium

  * Fix the build against C++17-enabled compilers (Closes: #984002)

 -- Simon Chopin <simon.chopin@canonical.com>  Thu, 25 Nov 2021 11:45:22 +0100

boxbackup (0.13~~git20200326.g8e8b63c-1ubuntu1) groovy; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Ignore test suite results, always fails, not run on most arches anyway.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 11 May 2020 16:11:17 +0200

boxbackup (0.13~~git20200326.g8e8b63c-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 0.13~~git20200326.g8e8b63c
    - disables leak detection

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 10 May 2020 18:55:55 -0400
