=== debian/control ===
--- 
+++ 
@@ -16,10 +16,10 @@
  libtest-lwp-useragent-perl,
  xsltproc,
  zlib1g-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.5.0
 Homepage: http://boxbackup.org
-Vcs-Git: git://anonscm.debian.org/collab-maint/boxbackup.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/boxbackup.git
+Vcs-Git: https://salsa.debian.org/debian/boxbackup.git
+Vcs-Browser: https://salsa.debian.org/debian/boxbackup
 
 Package: boxbackup-server
 Architecture: any
