=== debian/rules ===
--- 
+++ 
@@ -32,7 +32,6 @@
 	dh_testdir
 	$(MAKE) V=1
 # the testsuite is only really maintained on i386 and amd64
-# and fails there too, ignore.
 ifneq (,$(filter $(DEB_HOST_ARCH),i386 amd64))
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 	-./runtest.pl ALL
