=== debian/watch ===
version=3
# upstream does not plan to make specific releases anymore, cf
# http://lists.boxbackup.org/pipermail/boxbackup/2019-January/006690.html
opts="mode=git, gpgmode=none, pretty=0.13~~git%cd.g%h" \
  https://github.com/boxbackup/boxbackup HEAD debian uupdate
